Subject: Re: bug#6364: [PATCH] Use GetCharABCWidthsFloatW if GetGlyphOutlineW fails.

From: Tom Seddon <[email-masked]>
Date: Tue, 26 Nov 2013 21:53:34 +0000

On 26 Nov 2013, at 21:50, Tom Seddon <[email-masked]> wrote:

> On 26 Nov 2013, at 20:48, Eli Zaretskii <[email-masked]> wrote:
> 
>> OK.  So what other function(s) can be used for this purpose?
>> 
>> If there are no good alternatives, I guess we will go with
>> GetCharABCWidthsFloatW anyway, since the situation cannot become worse
>> than it is already.
> 
> I've changed it to GetCharWidth32, which is in the list on that MSDN page - see patch below. I've checked this against all bitmap fonts on my system and it produces the same results (and emacs looks to behave the same, including in terms of performance).

Just to be clear - this patch is against unchanged emacs-24.3, not against an emacs patched with my previous patch!

So please revert my last patch before applying it.

Thanks,

--Tom